Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 3579)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 3582)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
 ! 
 ! Former revisions:
@@ -317,5 +318,5 @@
        USE control_parameters,                                                 &
            ONLY:  humidity, loop_optimization, passive_scalar, ocean_mode,     &
-                  rans_tke_e, ws_scheme_mom, ws_scheme_sca
+                  rans_tke_e, ws_scheme_mom, ws_scheme_sca, salsa
 
        USE indices,                                                            &
@@ -399,8 +400,9 @@
              sums_wssas_ws_l = 0.0_wp
           ENDIF        
-!          
-!--       Mona: Now always allocated
-          ALLOCATE( sums_salsa_ws_l(nzb:nzt+1,0:threads_per_task-1) )
-          sums_salsa_ws_l = 0.0_wp         
+          
+          IF ( salsa )  THEN
+             ALLOCATE( sums_salsa_ws_l(nzb:nzt+1,0:threads_per_task-1) )
+             sums_salsa_ws_l = 0.0_wp   
+          ENDIF
 
        ENDIF
@@ -1115,5 +1117,5 @@
        USE control_parameters,                                                 &
            ONLY:  humidity, passive_scalar, ocean_mode, ws_scheme_mom,         &
-                  ws_scheme_sca
+                  ws_scheme_sca, salsa
 
        USE kinds  
@@ -1158,8 +1160,6 @@
           ENDIF
           IF ( ocean_mode )  sums_wssas_ws_l = 0.0_wp
-       
-          sums_salsa_ws_l = 0.0_wp
-         
-          
+          IF ( salsa )       sums_salsa_ws_l = 0.0_wp
+
        ENDIF
 
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 3579)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 3582)
@@ -20,6 +20,7 @@
 ! Current revisions:
 ! -----------------
-! 
-! 
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+!
 ! Former revisions:
 ! -----------------
@@ -177,5 +178,5 @@
     USE control_parameters,                                                    &
         ONLY:  air_chemistry, average_count_3d, biometeorology, doav, doav_n,  &
-               land_surface, ocean_mode, urban_surface, varnamelength
+               land_surface, ocean_mode, salsa, urban_surface, varnamelength
 
     USE cpulog,                                                                &
@@ -200,5 +201,5 @@
            
     USE salsa_mod,                                                             &
-        ONLY:  salsa, salsa_3d_data_averaging 
+        ONLY:  salsa_3d_data_averaging 
 
     USE turbulence_closure_mod,                                                &
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 3579)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 3582)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
 ! 
 ! Former revisions:
@@ -225,9 +226,9 @@
                bc_dirichlet_s, bc_radiation_l, bc_radiation_n, bc_radiation_r, &
                bc_radiation_s, bc_pt_t_val, bc_q_t_val, bc_s_t_val,            &
-               child_domain, constant_diffusion, coupling_mode, &
-               dt_3d, humidity, ibc_pt_b, ibc_pt_t, ibc_q_b, ibc_q_t, ibc_s_b, &
-               ibc_s_t, ibc_uv_b, ibc_uv_t,                           &
-               intermediate_timestep_count, nesting_offline, nudging,          &
-               ocean_mode, passive_scalar, rans_mode, rans_tke_e, tsc, use_cmax
+               child_domain, constant_diffusion, coupling_mode, dt_3d,         &
+               humidity, ibc_pt_b, ibc_pt_t, ibc_q_b, ibc_q_t, ibc_s_b,        &
+               ibc_s_t, ibc_uv_b, ibc_uv_t, intermediate_timestep_count,       &
+               nesting_offline, nudging, ocean_mode, passive_scalar, rans_mode,&
+               rans_tke_e, tsc, salsa, use_cmax
 
     USE grid_variables,                                                        &
@@ -248,5 +249,5 @@
  
     USE salsa_mod,                                                             &
-        ONLY:  salsa, salsa_boundary_conds        
+        ONLY:  salsa_boundary_conds        
 
     USE surface_mod,                                                           &
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 3579)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 3582)
@@ -20,4 +20,6 @@
 ! Current revisions:
 ! -----------------
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
 ! 
 ! 
@@ -813,5 +815,5 @@
                             
     USE salsa_mod,                                                             &
-        ONLY:  salsa, salsa_check_data_output, salsa_check_parameters        
+        ONLY:  salsa_check_data_output, salsa_check_parameters        
 
     USE spectra_mod,                                                           &
@@ -821,6 +823,4 @@
 
     USE subsidence_mod
-
-    USE statistics
 
     USE surface_output_mod,                                                    &
Index: palm/trunk/SOURCE/chem_emissions_mod.f90
===================================================================
--- palm/trunk/SOURCE/chem_emissions_mod.f90	(revision 3579)
+++ palm/trunk/SOURCE/chem_emissions_mod.f90	(revision 3582)
@@ -22,5 +22,7 @@
 ! Current revisions:
 ! ------------------
-! 
+! - Removed salsa dependency.
+! - Enabled PARAMETRIZED mode for default surfaces when LSM is not applied but 
+!   salsa is (M. Kurppa)
 ! 
 ! Former revisions:
@@ -890,6 +892,4 @@
    USE indices,                                                               &
        ONLY: nnx,nny,nnz 
-   USE salsa_mod,                                                             &
-       ONLY:  salsa
    USE surface_mod,                                                           &
        ONLY:  surf_lsm_h,surf_def_h,surf_usm_h
@@ -1462,74 +1462,4 @@
 
                 ENDDO
-             ELSEIF ( salsa ) THEN
-                DO  m = 1, surf_def_h(0)%ns
-                   i = surf_def_h(0)%i(m)
-                   j = surf_def_h(0)%j(m)
-                   k = surf_def_h(0)%k(m)
-
-
-                   IF ( street_type_f%var(j,i) >= main_street_id  .AND.        &
-                        street_type_f%var(j,i) < max_street_id )               &
-                   THEN
-
-                      !> Cycle over already matched species
-                      DO  ispec=1,nspec_out
-
-                         !> PMs are already in mass units:micrograms: have to be converted to kilograms 
-                         IF ( TRIM(spc_names(match_spec_model(ispec)))=="PM1"       &
-                              .OR. TRIM(spc_names(match_spec_model(ispec)))=="PM25" &
-                              .OR. TRIM(spc_names(match_spec_model(ispec)))=="PM10")&
-                         THEN
-                                  
-                            surf_def_h(0)%cssws(match_spec_model(ispec),m) =   &
-                                  emiss_factor_main(match_spec_input(ispec)) * &
-                                  emis_distribution(1,j,i,ispec) * rho_air(k) /&
-                                  time_factor(1)
-                         ELSE
-
-                         !> Other Species: inputs are micromoles: have to be converted              
-                            surf_def_h(0)%cssws(match_spec_model(ispec),m) =   &
-                               emiss_factor_main(match_spec_input(ispec)) *    &
-                               emis_distribution(1,j,i,ispec) *                &
-                               conv_to_ratio(k,j,i) *  rho_air(k) / time_factor(1)
-                         ENDIF
-                      ENDDO
-
-                   ELSEIF ( street_type_f%var(j,i) >= side_street_id  .AND.    &
-                            street_type_f%var(j,i) < main_street_id )          &
-                   THEN
-
-                   !> Cycle over already matched species
-                      DO  ispec=1,nspec_out
-
-                         !> PMs are already in mass units: micrograms
-                         IF ( TRIM(spc_names(match_spec_model(ispec)))=="PM1"   &
-                              .OR. TRIM(spc_names(match_spec_model(ispec)))=="PM25" &
-                              .OR. TRIM(spc_names(match_spec_model(ispec)))=="PM10")&
-                         THEN
-
-                            surf_def_h(0)%cssws(match_spec_model(ispec),m) =   &
-                               emiss_factor_side(match_spec_input(ispec)) *    &
-                               emis_distribution(1,j,i,ispec) * rho_air(k) /   &
-                               time_factor(1)  
-                         ELSE
-               
-                            surf_def_h(0)%cssws(match_spec_model(ispec),m) =   &
-                               emiss_factor_side(match_spec_input(ispec)) *    &
-                               emis_distribution(1,j,i,ispec) *                &
-                               conv_to_ratio(k,j,i) * rho_air(k) / time_factor(1)
-                         ENDIF
-
-                      ENDDO
-
-                   ELSE
-
-                   !> If no street type is defined, then assign null emissions to all the species
-                      surf_def_h(0)%cssws(:,m) = 0.0_wp
-
-                   ENDIF
-
-                ENDDO
-
              ENDIF
 
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 3579)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 3582)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
 ! 
 ! Former revisions:
@@ -294,5 +295,5 @@
                ibc_uv_b, io_blocks, io_group, land_surface, message_string,    &
                ntdim_2d_xy, ntdim_2d_xz, ntdim_2d_yz,                          &
-               ocean_mode, psolver, section, simulated_time,                   &
+               ocean_mode, psolver, salsa, section, simulated_time,            &
                time_since_reference_point
 
@@ -334,5 +335,5 @@
    
     USE salsa_mod,                                                             &
-        ONLY:  salsa, salsa_data_output_2d    
+        ONLY:  salsa_data_output_2d    
 
     USE surface_mod,                                                           &
@@ -1353,6 +1354,7 @@
                 
                 IF ( .NOT. found  .AND.  salsa )  THEN
-                   CALL salsa_data_output_2d( av, do2d(av,ivar), found, grid,    &
-                                              mode, local_pf, two_d )
+                   CALL salsa_data_output_2d( av, do2d(av,ivar), found, grid,  &
+                                              mode, local_pf, two_d, nzb_do,   &
+                                              nzt_do)
                 ENDIF                 
 
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 3579)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 3582)
@@ -20,6 +20,7 @@
 ! Current revisions:
 ! ------------------
-! 
-! 
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+!
 ! Former revisions:
 ! -----------------
@@ -254,5 +255,5 @@
                io_blocks, io_group, land_surface, message_string,              &
                ntdim_3d, nz_do3d,  ocean_mode, plant_canopy,                   &
-               psolver, simulated_time, time_since_reference_point,            &
+               psolver, salsa, simulated_time, time_since_reference_point,     &
                urban_surface, varnamelength
 
@@ -302,5 +303,5 @@
                
     USE salsa_mod,                                                             &
-        ONLY:  salsa, salsa_data_output_3d     
+        ONLY:  salsa_data_output_3d     
 
     USE turbulence_closure_mod,                                                &
@@ -791,5 +792,6 @@
 !--          SALSA output
              IF ( .NOT. found  .AND.  salsa )  THEN
-                CALL salsa_data_output_3d( av, do3d(av,ivar), found, local_pf )
+                CALL salsa_data_output_3d( av, do3d(av,ivar), found, local_pf, &
+                                           nzb_do, nzt_do )
                 resorted = .TRUE.
              ENDIF                  
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 3579)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 3582)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Move the control parameter "salsa" from salsa_mod.f90 to control_parameters
 ! 
 ! Former revisions:
@@ -165,5 +165,5 @@
                mask_j, mask_k, mask_size, mask_size_l, mask_start_l,           &
                mask_surface,                                                   &
-               max_masks, message_string, mid, nz_do3d, simulated_time
+               max_masks, message_string, mid, nz_do3d, salsa, simulated_time
     USE cpulog,                                                                &
         ONLY:  cpu_log, log_point
@@ -193,5 +193,5 @@
 
     USE salsa_mod,                                                             &
-        ONLY:  salsa, salsa_data_output_mask     
+        ONLY:  salsa_data_output_mask     
         
     USE surface_mod,                                                           &
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 3579)
+++ palm/trunk/SOURCE/header.f90	(revision 3582)
@@ -20,6 +20,7 @@
 ! Current revisions:
 ! -----------------
-! 
-! 
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+!  
 ! Former revisions:
 ! -----------------
@@ -501,5 +502,5 @@
                
     USE salsa_mod,                                                             &
-        ONLY:  salsa, salsa_header        
+        ONLY:  salsa_header        
     
     USE spectra_mod,                                                           &
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 3579)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 3582)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
 ! 
 ! Former revisions:
@@ -655,5 +656,5 @@
              
     USE salsa_mod,                                                             &
-        ONLY:  salsa, salsa_init, salsa_init_arrays      
+        ONLY:  salsa_init, salsa_init_arrays      
     
     USE statistics,                                                            &
Index: palm/trunk/SOURCE/init_masks.f90
===================================================================
--- palm/trunk/SOURCE/init_masks.f90	(revision 3579)
+++ palm/trunk/SOURCE/init_masks.f90	(revision 3582)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
 ! 
 ! Former revisions:
@@ -173,5 +174,5 @@
                mask_x_loop, mask_xyz_dimension, mask_y, mask_y_loop, mask_z,   &
                mask_z_loop, max_masks,  message_string, mid,                   &
-               passive_scalar, ocean_mode, varnamelength
+               passive_scalar, ocean_mode, salsa, varnamelength
 
     USE grid_variables,                                                        &
@@ -190,10 +191,10 @@
 
     USE pegrid  
-
+    
     USE radiation_model_mod,                                                   &
         ONLY:  radiation, radiation_check_data_output
         
     USE salsa_mod,                                                             &
-        ONLY:  salsa, salsa_check_data_output 
+        ONLY:  salsa_check_data_output 
 
     IMPLICIT NONE
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 3579)
+++ palm/trunk/SOURCE/modules.f90	(revision 3582)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
 ! 
 ! Former revisions:
@@ -1387,4 +1388,5 @@
     LOGICAL ::  run_control_header = .FALSE.                     !< onetime output of RUN_CONTROL header
     LOGICAL ::  run_coupled = .TRUE.                             !< internal switch telling PALM to run in coupled mode (i.e. to exchange surface data) in case of atmosphere-ocean coupling
+    LOGICAL ::  salsa = .FALSE.                                  !< switch for the sectional aerosol module salsa
     LOGICAL ::  scalar_rayleigh_damping = .TRUE.                 !< namelist parameter
     LOGICAL ::  sloping_surface = .FALSE.                        !< use sloped surface? (namelist parameter alpha_surface)
Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3579)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3582)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
 ! 
 ! Former revisions:
@@ -646,5 +647,5 @@
                message_string, mid, ntdim_2d_xy, ntdim_2d_xz,                  &
                ntdim_2d_yz, ntdim_3d, nz_do3d, ocean_mode, plant_canopy,       &
-               run_description_header, section, simulated_time,                &
+               run_description_header, salsa, section, simulated_time,         &
                simulated_time_at_begin, skip_time_data_output_av,              &
                skip_time_do2d_xy, skip_time_do2d_xz, skip_time_do2d_yz,        &
@@ -684,5 +685,5 @@
      
     USE salsa_mod,                                                             &
-        ONLY:  salsa, salsa_define_netcdf_grid             
+        ONLY:  salsa_define_netcdf_grid            
 
     USE spectra_mod,                                                           &
@@ -1147,5 +1148,5 @@
                       CALL salsa_define_netcdf_grid( domask(mid,av,i), found,  &
                                                      grid_x, grid_y, grid_z )
-                   ENDIF                  
+                   ENDIF                                   
 !
 !--                Now check for user-defined quantities
@@ -1910,5 +1911,5 @@
                                                      grid_y, grid_z )
                    ENDIF                 
-                   
+!                   
 !--                Check for user-defined quantities
                    IF ( .NOT. found )  THEN
@@ -2856,5 +2857,5 @@
                                                          grid_z )
                          ENDIF
-                         
+
 !
 !--                      Check for SALSA quantities
@@ -3758,5 +3759,4 @@
                                                             grid_z )
                       ENDIF
-                      
 !
 !--                   Check for SALSA quantities
@@ -4618,5 +4618,4 @@
                                                             grid_z )
                       ENDIF
-                      
 !
 !--                   Check for SALSA quantities
Index: palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 3579)
+++ palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 3582)
@@ -22,5 +22,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Formatting adjustments
 ! 
 ! Former revisions:
@@ -1679,16 +1679,16 @@
                          ! to include also the dependecy to the radiation
                          ! in the plant canopy box
-                         pc_transpiration_rate(kk,j,i) =  - lsec                  &
-                                          * lad_s(kk,j,i) *                       &
-                                          SQRT( ( 0.5_wp * ( u(k,j,i) +           &
-                                                             u(k,j,i+1) )         &
-                                                )**2 +                            &
-                                                ( 0.5_wp * ( v(k,j,i) +           &
-                                                             v(k,j+1,i) )         &
-                                                )**2 +                            &
-                                                ( 0.5_wp * ( w(k-1,j,i) +         &
-                                                             w(k,j,i) )           &
-                                                )**2                              &
-                                              ) *                                 &
+                         pc_transpiration_rate(kk,j,i) =  - lsec               &
+                                          * lad_s(kk,j,i) *                    &
+                                          SQRT( ( 0.5_wp * ( u(k,j,i) +        &
+                                                             u(k,j,i+1) )      &
+                                                )**2 +                         &
+                                                ( 0.5_wp * ( v(k,j,i) +        &
+                                                             v(k,j+1,i) )      &
+                                                )**2 +                         &
+                                                ( 0.5_wp * ( w(k-1,j,i) +      &
+                                                             w(k,j,i) )        &
+                                                )**2                           &
+                                              ) *                              &
                                           ( q(k,j,i) - lsc )
                       ENDIF
@@ -2001,5 +2001,6 @@
                 DO  k = k_wall + 1, k_wall + pch_index_ji(j,i)
                    kk = k - k_wall  !- lad arrays are defined flat
-                   tend(k,j,i) = tend(k,j,i) + pc_heating_rate(kk,j,i) - pc_latent_rate(kk,j,i)
+                   tend(k,j,i) = tend(k,j,i) + pc_heating_rate(kk,j,i) -       &
+                                 pc_latent_rate(kk,j,i)
                 ENDDO
              ELSE
@@ -2024,16 +2025,16 @@
                    ! to include also the dependecy to the radiation
                    ! in the plant canopy box
-                   pc_transpiration_rate(kk,j,i) = - lsec                         &
-                                    * lad_s(kk,j,i) *                             &
-                                    SQRT( ( 0.5_wp * ( u(k,j,i) +                 &
-                                                       u(k,j,i+1) )               &
-                                          )**2  +                                 &
-                                          ( 0.5_wp * ( v(k,j,i) +                 &
-                                                       v(k,j+1,i) )               &
-                                          )**2 +                                  &
-                                          ( 0.5_wp * ( w(k-1,j,i) +               &
-                                                       w(k,j,i) )                 &
-                                          )**2                                    &
-                                        ) *                                       &
+                   pc_transpiration_rate(kk,j,i) = - lsec                      &
+                                    * lad_s(kk,j,i) *                          &
+                                    SQRT( ( 0.5_wp * ( u(k,j,i) +              &
+                                                       u(k,j,i+1) )            &
+                                          )**2  +                              &
+                                          ( 0.5_wp * ( v(k,j,i) +              &
+                                                       v(k,j+1,i) )            &
+                                          )**2 +                               &
+                                          ( 0.5_wp * ( w(k-1,j,i) +            &
+                                                       w(k,j,i) )              &
+                                          )**2                                 &
+                                        ) *                                    &
                                     ( q(k,j,i) - lsc )
                 ENDIF
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 3579)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 3582)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
 ! 
 ! Former revisions:
@@ -373,5 +374,5 @@
                use_upstream_for_tke, wind_turbine, ws_scheme_mom,              & 
                ws_scheme_sca, urban_surface, land_surface,                     &
-               time_since_reference_point
+               time_since_reference_point, salsa
 
     USE coriolis_mod,                                                          &
@@ -415,5 +416,5 @@
     USE salsa_mod,                                                             &
         ONLY:  aerosol_mass, aerosol_number, dt_salsa, last_salsa_time, nbins, &
-               ncc_tot, ngast, salsa, salsa_boundary_conds, salsa_diagnostics, &
+               ncc_tot, ngast, salsa_boundary_conds, salsa_diagnostics,        &
                salsa_driver, salsa_gas, salsa_gases_from_chem, salsa_tendency, &
                skip_time_do_salsa
@@ -548,5 +549,4 @@
 
     ENDIF       
-
 !
 !-- Run SALSA and aerosol dynamic processes. SALSA is run with a longer time 
Index: palm/trunk/SOURCE/read_restart_data_mod.f90
===================================================================
--- palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3579)
+++ palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3582)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
 ! 
 ! Former revisions:
@@ -1087,5 +1088,5 @@
     
     USE salsa_mod,                                                             &
-        ONLY:  salsa, salsa_rrd_local
+        ONLY:  salsa_rrd_local
 
     USE surface_mod,                                                           &
@@ -1910,9 +1911,10 @@
                                            nyn_on_file, nysf, nysc,            &
                                            nys_on_file, found )
-!
-!--                Read salsa restart data
-                   IF ( .NOT. found  .AND.  salsa )  THEN
-                      CALL salsa_rrd_local
-                   ENDIF                                               
+
+                   IF ( .NOT. found  .AND.  salsa )  CALL salsa_rrd_local( i,  &
+                                           k, nxlf, nxlc, nxl_on_file, nxrf,   &
+                                           nxrc, nxr_on_file, nynf, nync,      & 
+                                           nyn_on_file, nysf, nysc,            &
+                                           nys_on_file, tmp_3d, found )                                        
 
 !
